X2Go Bug report logs - #637
Qt5 apps crash at startup on Linux host

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: André Wöbbeking <Woebbeking@web.de>

Date: Fri, 10 Oct 2014 23:10:01 UTC

Severity: important

Tags: confirmed, fixed-upstream, moreinfo

Merged with 78

Found in version 3.5.0.27

Fixed in version 3.5.99.0

Forwarded to https://github.com/ArcticaProject/nx-libs/pull/137

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package x2goserver. (Fri, 10 Oct 2014 23:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Wöbbeking <Woebbeking@web.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 10 Oct 2014 23:10:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: André Wöbbeking <Woebbeking@web.de>
To: submit@bugs.x2go.org
Subject: Qt5 apps crash at startup on Linux host
Date: Sat, 11 Oct 2014 01:03:06 +0200
Package: x2goserver
Version: 4.0.1.18

Hi,

Any Qt 5.3 app starting on a Linux host crashes with this backtrace:

__lll_unlock_elision                elision-unlock.c:29
XIQueryVersion                      XIQueryVersion.c:47
QXcbConnection::initializeXInput2   qxcbconnection_xi2.cpp:84
QXcbConnection::QXcbConnection	    qxcbconnection.cpp:336
QXcbIntegration::QXcbIntegration    qxcbintegration.cpp:161
QXcbIntegrationPlugin::create       qxcbmain.cpp:58

These apps run fine locally.

I also get this warning before the apps crash:

xcb_randr_get_output_primary_reply_t *primary =
        xcb_randr_get_output_primary_reply(xcb_connection(), primaryCookie, 
&error);
if (!primary || error) {
    qWarning("QXcbConnection: Failed to get the primary output of the 
screen");
    free(error);
}

And xrandr prints:

"xrandr: Failed to get size of gamma for output default"

I'm using current Debian testing.


Cheers,
André


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package x2goserver. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

Message #10 received at 637@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: André Wöbbeking <Woebbeking@web.de>, 637@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#637: Qt5 apps crash at startup on Linux host
Date: Sat, 11 Oct 2014 08:35:06 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 nxagent
Control: found -1 3.5.0.27
Control: severity -1 important

Hi André,

On  Sa 11 Okt 2014 01:03:06 CEST, André Wöbbeking wrote:

> Any Qt 5.3 app starting on a Linux host crashes with this backtrace:
>
> __lll_unlock_elision                elision-unlock.c:29
> XIQueryVersion                      XIQueryVersion.c:47
> QXcbConnection::initializeXInput2   qxcbconnection_xi2.cpp:84
> QXcbConnection::QXcbConnection	    qxcbconnection.cpp:336
> QXcbIntegration::QXcbIntegration    qxcbintegration.cpp:161
> QXcbIntegrationPlugin::create       qxcbmain.cpp:58
>
> These apps run fine locally.
>
> I also get this warning before the apps crash:
>
> xcb_randr_get_output_primary_reply_t *primary =
>         xcb_randr_get_output_primary_reply(xcb_connection(), primaryCookie,
> &error);
> if (!primary || error) {
>     qWarning("QXcbConnection: Failed to get the primary output of the
> screen");
>     free(error);
> }
>
> And xrandr prints:
>
> "xrandr: Failed to get size of gamma for output default"
>
> I'm using current Debian testing.

this actually is a bug in NX Agent.

It basically means that the XRandR extension in NX-libs is tooooo old.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.18. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Sat, 11 Oct 2014 08:40:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Sat, 11 Oct 2014 11:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Wöbbeking <Woebbeking@web.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 11 Oct 2014 11:40:02 GMT) Full text and rfc822 format available.

Message #23 received at 637@bugs.x2go.org (full text, mbox):

From: André Wöbbeking <Woebbeking@web.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 637@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#637: Qt5 apps crash at startup on Linux host
Date: Sat, 11 Oct 2014 13:34:37 +0200
Hi Mike,

On Saturday 11 October 2014 08:35:06 Mike Gabriel wrote:
 
> this actually is a bug in NX Agent.
> 
> It basically means that the XRandR extension in NX-libs is tooooo old.

Even the crash? That seems to be related to XInput2 somehow.

And is there a chance that NX-libs will be updated in the near future?


Cheers,
André


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Wed, 04 Mar 2015 13:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Mar 2015 13:45:02 GMT) Full text and rfc822 format available.

Message #28 received at 637@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: Woebbeking@web.de
Cc: 637@bugs.x2go.org
Subject: nx-libs improvements
Date: Wed, 4 Mar 2015 08:41:20 -0500
Hi Andre.

I know it's been a while since you replied to this bug.

However, the X2Go project and the Arctica Project have started doing
major code cleanups to nx-libs on the new 3.6.x branch. Many of those
code cleanups are big because they involve making nx-libs using the
system version of X11-related libraries rather than nx-libs bundling
its own (horribly outdated) version of those libraries. Those changes
will improve compatibility with some X11 apps, but not Qt5 apps.

After those code cleanups are complete, we will look into either
rebasing nx-libs against the latest X.org, or backporting features
such as newer RandR and XInput2 to nx-libs. In either case, Qt5 apps
will become compatible.

There is no ETA though.

Code and issues are located here:
https://github.com/ArcticaProject/nx-libs/tree/3.6.x
Code is also located here:
http://code.x2go.org/gitweb?p=nx-libs.git;a=shortlog;h=refs/heads/3.6.x

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Thu, 05 Mar 2015 16:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Wöbbeking <Woebbeking@web.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Mar 2015 16:15:02 GMT) Full text and rfc822 format available.

Message #33 received at 637@bugs.x2go.org (full text, mbox):

From: André Wöbbeking <Woebbeking@web.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 637@bugs.x2go.org
Subject: Re: nx-libs improvements
Date: Thu, 05 Mar 2015 17:08:19 +0100
Hi Michael,

On Wednesday 04 March 2015 08:41:20 Michael DePaulo wrote:
> Hi Andre.
> 
> I know it's been a while since you replied to this bug.
> 
> However, the X2Go project and the Arctica Project have started doing
> major code cleanups to nx-libs on the new 3.6.x branch. Many of those
> code cleanups are big because they involve making nx-libs using the
> system version of X11-related libraries rather than nx-libs bundling
> its own (horribly outdated) version of those libraries. Those changes
> will improve compatibility with some X11 apps, but not Qt5 apps.
> 
> After those code cleanups are complete, we will look into either
> rebasing nx-libs against the latest X.org, or backporting features
> such as newer RandR and XInput2 to nx-libs. In either case, Qt5 apps
> will become compatible.

That's great!

> There is no ETA though.

Well, with Qt 5.4 plain X11 apps don't crash anymore :-) (but I still get this 
warning "QXcbConnection: Failed to get the primary output of the screen").

And QtCreator works for me with "-noload Welcome" (AFAIK this disables a QML 
plugin using OpenGL).


Cheers,
André


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Message #38 received at 637@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: André Wöbbeking <Woebbeking@web.de>, 637@bugs.x2go.org, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#637: nx-libs improvements
Date: Fri, 15 May 2015 12:32:54 +0000
[Message part 1 (text/plain, inline)]
Control: merge 78 -1

Hi all,

On  Do 05 Mär 2015 17:08:19 CET, André Wöbbeking wrote:

> Hi Michael,
>
> On Wednesday 04 March 2015 08:41:20 Michael DePaulo wrote:
>> Hi Andre.
>>
>> I know it's been a while since you replied to this bug.
>>
>> However, the X2Go project and the Arctica Project have started doing
>> major code cleanups to nx-libs on the new 3.6.x branch. Many of those
>> code cleanups are big because they involve making nx-libs using the
>> system version of X11-related libraries rather than nx-libs bundling
>> its own (horribly outdated) version of those libraries. Those changes
>> will improve compatibility with some X11 apps, but not Qt5 apps.
>>
>> After those code cleanups are complete, we will look into either
>> rebasing nx-libs against the latest X.org, or backporting features
>> such as newer RandR and XInput2 to nx-libs. In either case, Qt5 apps
>> will become compatible.
>
> That's great!
>
>> There is no ETA though.
>
> Well, with Qt 5.4 plain X11 apps don't crash anymore :-) (but I  
> still get this
> warning "QXcbConnection: Failed to get the primary output of the screen").
>
> And QtCreator works for me with "-noload Welcome" (AFAIK this disables a QML
> plugin using OpenGL).

Merging this issue (although solved) into #78, the collector for all  
"Xrandr is too old issues in nx-libs".

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) confirmed and moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Merged 637 78 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:35:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Message #47 received at 637@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jerry Rabe <jdr@wi.rr.com>
Cc: 637@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#673: GUI-based Applications stall when x2go session is suspended
Date: Fri, 15 May 2015 12:37:22 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Re-Cc:ing #637 (got dropped off from the list of recipients with the  
previous post)

Closing this issue on user request. I remember to have seen something  
similar in X2Go sessions, but some tests today confirm that there is  
no such issue on my setups.

Greets,
Mike

On  Fr 09 Jan 2015 04:02:12 CET, Jerry Rabe wrote:

> Mike,
>
> As it turns out, it was just yesterday that I found that this bug
> seems to be fixed in the latest version!  My post actually was
> incorrect in that I had observed the issue on x2goserver package
> 4.0.1.15 instead of 4.0.1.18 (at that time anything above 4.0.1.15
> wasn't working due to some unknown system incompatibility).  But
> yesterday I did a full system "yum update" on all three of our Centos
> 7 machines, and not only is x2goserver 4.0.1.18-4.el7 working well,
> but the GUI hang issue is now non-existent!  From my perspective, you
> can move this issue to closed.
>
> You are doing a wonderful job on this project, and it is very
> impressive.  Thank you.
>
> One other thing I just noticed.  If the system goes down ungracefully,
> the x2go fuse-based shared drives do not get unmounted, and
> subsequently will not re-mount after a reboot.  I finally fixed it by
> removing /var/lib/x2go/x2go_sessions and re-installing x2goserver.  Is
> there an easier way to fix this?
>
> --
> Jerry Rabe
>
>
> On Thu, Jan 8, 2015 at 4:47 PM, Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
>> Control: reassign -1 nxagent
>> Control: severity -1 important
>>
>> HI Jerry,
>>
>> On  Do 13 Nov 2014 17:12:23 CET, Jerry Rabe wrote:
>>
>>> When an x2go session is suspended, any running GUI-based application
>>> will stall as soon as it tries to update graphical information in the
>>> GUI.  This was not the case with the old freenx server, and it is a
>>> problem for large jobs that take a long time to run.  Not sure if this
>>> is just a configuration/install problem.
>>> What does NOT stall:
>>>  - Text-based output from command line-based shell scripts.
>>>  - GUI-based applications running in suspended x2go sessions as
>>> Published Applications.
>>> What DOES Stall:
>>>  - GUI-based applications running in suspended x2go sessions (accessed
>>> by X2GoClient) on a Linux Desktop (i,.e. MATE, XFCE)
>>>  - GUI-based applications running in suspended NX sessions (accessed
>>> by an NX3 client) on a Linux Desktop (i,.e. MATE, XFCE)
>>>
>>> The steps taken to produce the bug:
>>>  - Start a GUI-based Application (for testing, use the Linux System
>>> Monitor, open the "Resources" tab)
>>>  - Suspend the x2go session.
>>>  - Some time later, resume the session.  The GUI now continues
>>> running, but it had stalled while the session was suspended.
>>>
>>> The client machine's OS: Windows 7 SP1
>>> The client machine's version of X2GoClient: 4.0.3.0
>>> The server's OS: Centos 7
>>> The server's version of the x2goserver package: 4.0.1.18-1.el7  x86_64
>>> The server's version of the x2goserver-xsession package: 4.0.1.18-1.el7
>>> x86_64
>>> The server's version of the nxagent package:3.5.0.27-1.el7 x86_64
>>
>>
>> this is an issue that needs to be addressed soon.
>>
>> Reassigning to nxagent package and raising severity...
>>
>> Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Notification sent to André Wöbbeking <Woebbeking@web.de>:
Bug acknowledged by developer. (Fri, 15 May 2015 12:40:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Fri, 15 May 2015 13:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 13:55:02 GMT) Full text and rfc822 format available.

Message #56 received at 637@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 637@bugs.x2go.org
Subject: reopening erroneously closed issue #637
Date: Fri, 15 May 2015 13:52:34 +0000
[Message part 1 (text/plain, inline)]
Control: reopen -1

The last message (and the bug closure) was intended for #673, not #637.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reopened Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 637-submit@bugs.x2go.org. (Fri, 15 May 2015 13:55:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Fri, 09 Oct 2015 14:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx 2Day" <dale.jenkins@dialrequest.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Oct 2015 14:15:01 GMT) Full text and rfc822 format available.

Message #63 received at 637@bugs.x2go.org (full text, mbox):

From: "FedEx 2Day" <dale.jenkins@dialrequest.ch>
To: 637@bugs.x2go.org
Subject: Problems with item delivery, n.00752646
Date: Fri, 9 Oct 2015 08:51:06 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

Courier was unable to deliver the parcel to you.
Delivery Label is attached to this email.

Warm regards,
Dale Jenkins,
Station Manager.

[FedEx_00752646.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Sun, 27 Dec 2015 00:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 27 Dec 2015 00:30:02 GMT) Full text and rfc822 format available.

Message #68 received at 637@bugs.x2go.org (full text, mbox):

From: "Interfax" <incoming@interfax.net>
To: 637@bugs.x2go.org
Subject: You have 1 new fax, document 000855154
Date: Sat, 26 Dec 2015 15:21:55 -0600
[Message part 1 (text/plain, inline)]
You have received a new fax.

Scanned fax document is attached to this email.

Pages:            13
Resolution:       500 DPI
Sender:           Corey Lambert
File name:        document-000855154.doc
Date:             Sat, 26 Dec 2015 03:41:17 +0300
File size:        144 Kb
Processed in:     21 seconds

Thank you for using Interfax!

[document-000855154.zip (application/zip, attachment)]

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/pull/137'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:50:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 78-submit@bugs.x2go.org. (Mon, 13 Jun 2016 21:50:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 13 Jun 2016 22:00:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Sun, 05 Feb 2017 17:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to glogoadmin@n1plcpnl0020.prod.ams1.secureserver.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Feb 2017 17:35:01 GMT) Full text and rfc822 format available.

Message #79 received at 637@bugs.x2go.org (full text, mbox):

From: glogoadmin@n1plcpnl0020.prod.ams1.secureserver.net
To: 637@bugs.x2go.org
Subject: Shipment delivery problem #1252653
Date: Sun, 5 Feb 2017 17:22:30 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that your item has been shipped at February 03.

You can find more details in this e-mail attachment!

Thank you for making business with us,
Earl Morris,
UPS Chief Support Manager.

[UPS-Package-1252653.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Fri, 21 Apr 2017 08:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to guske@guske.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 21 Apr 2017 08:15:02 GMT) Full text and rfc822 format available.

Message #84 received at 637@bugs.x2go.org (full text, mbox):

From: guske@guske.de
To: 637@bugs.x2go.org
Subject: Delivery Status Notification
Date: Fri, 21 Apr 2017 10:01:46 +0200
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

QdoSTqemG2+wJfcm7OE+JtTXTzNrfTflop+5hU/KLY8fJqjlpe5DPZpeW/D5qOOcrJl3zGXQcOpR
xLTOT8S4RhuPvVcO/RohAwVlxe17YHN3DBqZmIysIgTdxQR49UVhLXBo9AV0b0kQU6l+QEeKyAdZ
M7yWqcHGRqX7FVWHXvL0fGjjH9vb7ZatFIciPi+BJ5gS/s6THpKv3yTCFXr6PZVea9jfKl1uTwv/
HuZfKXTORVvh5JBAtslmVJhiEbDQBDccmrq8VQidCciSbgMuuImolMvUWHpwCEVRY8+CMgfMXPCA
mCrihBci/0/p6AADafoh3zO/bIR/TV59dRFv8bLatmviuK7NooMlFR/Dq5XVwZr05GdsZ30LAixj
CuQ6rOdBsd8ADCKZFW+2LSEYHmPld00cXRoc41PYvVHy4Vi+9TDhePaMP1GjdrIHxn/Na2K2VUKG
t2UlAFoqFU+PEJTnsuXr4RuxOWuW8KxTdTjjnOJFernuuxv1c0wPrD9yV2NwCBo7S3QbWminu4qo
92NHs6P9Vup8fVJ5o1g7ge/Z6yCquUkK6AA7ovLcFtXLUJQ51ScLUVb8l2rUQLmb7q0+GK1u8kMf
+oyoTPIh4afI6omHZhior0Qx+/and0MSKOmXqOjNymMVvIvdzKZEWz/64CEmhSxihQZBmQfLCaVq
UTpjlqVGDaLBDJ758JdBT36qjUeBGP8y4vRWKyC/t3lXJOhr1iDLpbyRcoeSXFldDYhVwuIw38mq
3ymUHXD1SHBIuBpwtl7PmeOxOb/JW1dygFe2t3iZosMXa0Wwi3tvbkJX3Z1LcyfmqlK5c9LqLoHx
ejqvHfdpF5rpNzT/xKkvAM+mVPhB1+V3f2t47v9XznyKMVWGgpPzO82J9J+s55jNKi9ijkX37eue
HkpuzQJaBybpThpamvF6FtgizEghlTwwsVz8WymTscRjfeE5V7L4ESOi27JBzH66REXk8xd9nO9t
ElKw0UIOI3128twqa9AkLvaCkCEec9QaOJIEemuaVSgYIXsnUvuqsotfsJyNsQrdD6HYQc0UxTnZ
alAM/I1w6SGHzmfYdwwySJghEAmtIgwGyKsN+YVHBrzXw3AgsuQ8l2Xl3ybIt152P2YjoCJ2rqWN
0tSj08ep/hxG4WtUjnuW4oCOaYGs7ZVcsW907xEiMrtnslyay3wbNDXnCPeFpEl8LUUDkkj9La2/
O4763rIO0KPAfAc2/v6EgBki6NBA6Mmj0XjYMkbZoSOt/v2lt2Lm1QQuqAxgjHODWrkXE7hD7pHQ
1zp8bwdPcrsq6VuipQ3y0IACboI9cGGFu4fZFq1FnA==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Parcel-ID-YNBNYZ8A.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#637; Package nxagent. (Tue, 04 Jul 2017 20:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to tolits@gator4016.hostgator.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 04 Jul 2017 20:25:02 GMT) Full text and rfc822 format available.

Message #89 received at 637@bugs.x2go.org (full text, mbox):

From: tolits@gator4016.hostgator.com
To: 637@bugs.x2go.org
Subject: Unable to deliver your item, #08662954
Date: Tue, 4 Jul 2017 15:00:14 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel was successfully delivered June 30 to UPS Station, but our courier cound not contact you.

Postal label is enclosed to this e-mail. Please check the attachment!

Thanks and best regards,
 ,
UPS Delivery Manager.

[UPS-Delivery-Details-08662954.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 19:15:45 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.